another go at other types
diff --git a/scripts/AAG Version/drc-def-sky130A.sh b/scripts/AAG Version/drc-def-sky130A.sh
new file mode 100644
index 0000000..de94235
--- /dev/null
+++ b/scripts/AAG Version/drc-def-sky130A.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright 2020 Efabless Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# To call: ./drc-def-sky130A.sh <target_path> <design_name> <pdk-root> [<output_path> default is <target_path>/results/]
+
+export TARGET_DIR=$1
+export DESIGN_NAME=$2
+export PDK_ROOT=$3
+export OUT_DIR=${4:-$TARGET_DIR/results/}
+
+if ! [[ -d "$OUT_DIR" ]]
+then
+ mkdir $OUT_DIR
+fi
+bash ./magic-drc.sh $TARGET_DIR $DESIGN_NAME $PDK_ROOT "mag" "sky130A" $OUT_DIR
diff --git a/scripts/AAG Version/drc-gds-sky130A.sh b/scripts/AAG Version/drc-gds-sky130A.sh
index 7a4d474..0a86528 100644
--- a/scripts/AAG Version/drc-gds-sky130A.sh
+++ b/scripts/AAG Version/drc-gds-sky130A.sh
@@ -13,15 +13,15 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-# To call: ./run_drc_checks.sh <target_path> <design_name> <pdk-path> [<output_path> default is <target_path>/results/]
+# To call: ./drc-gds-sky130A.sh <target_path> <design_name> <pdk-root> [<output_path> default is <target_path>/results/]
export TARGET_DIR=$1
export DESIGN_NAME=$2
-export PDKPATH=$3
+export PDK_ROOT=$3
export OUT_DIR=${4:-$TARGET_DIR/results/}
if ! [[ -d "$OUT_DIR" ]]
then
mkdir $OUT_DIR
fi
-bash ./magic-drc.sh $TARGET_DIR $DESIGN_NAME $PDKPATH "gds" "sky130A" $OUT_DIR
+bash ./magic-drc.sh $TARGET_DIR $DESIGN_NAME $PDK_ROOT "gds" "sky130A" $OUT_DIR
diff --git a/scripts/AAG Version/drc-mag-sky130A.sh b/scripts/AAG Version/drc-mag-sky130A.sh
new file mode 100644
index 0000000..2abc8bc
--- /dev/null
+++ b/scripts/AAG Version/drc-mag-sky130A.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Copyright 2020 Efabless Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+# To call: ./drc-mag-sky130A.sh <target_path> <design_name> <pdk-root> [<output_path> default is <target_path>/results/]
+
+export TARGET_DIR=$1
+export DESIGN_NAME=$2
+export PDK_ROOT=$3
+export OUT_DIR=${4:-$TARGET_DIR/results/}
+
+if ! [[ -d "$OUT_DIR" ]]
+then
+ mkdir $OUT_DIR
+fi
+bash ./magic-drc.sh $TARGET_DIR $DESIGN_NAME $PDK_ROOT "mag" "sky130A" $OUT_DIR
diff --git a/scripts/AAG Version/magic-drc.sh b/scripts/AAG Version/magic-drc.sh
index e1f6a6c..a14dd77 100644
--- a/scripts/AAG Version/magic-drc.sh
+++ b/scripts/AAG Version/magic-drc.sh
@@ -13,11 +13,11 @@
# See the License for the specific language governing permissions and
# limitations under the License.
-# To call: ./run_drc_checks.sh <target_path> <design_name> <pdk-path> <target-type> <output_path>
+# To call: ./magic-drc.sh <target_path> <design_name> <pdk-root> <target-type> <pdk-name> <output_path>
export TARGET_DIR=$1
export DESIGN_NAME=$2
-export PDKPATH=$3
+export PDK_ROOT=$3
export TARGET_TYPE=$4
export PDK=$5
export OUT_DIR=${6:-$TARGET_DIR/results/}
@@ -27,7 +27,7 @@
mkdir $OUT_DIR
fi
echo "Running Magic..."
-export MAGIC_MAGICRC=$PDKPATH/$PDK/libs.tech/magic/sky130A.magicrc
+export MAGIC_MAGICRC=$PDK_ROOT/$PDK/libs.tech/magic/sky130A.magicrc
magic \
-noconsole \